Package org.eclipse.microprofile.openapi.tck

## Class OASFactoryErrorTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.openapi.tck.OASFactoryErrorTest

All Implemented Interfaces:
  `org.testng.IHookable`, `org.testng.ITestNGListener`

    public class OASFactoryErrorTest
    extends org.jboss.arquillian.testng.Arquillian

### Nested Class Summary

Nested Classes
`class` `OASFactoryErrorTest.MyAbstractLicenseImpl`
`static interface` `OASFactoryErrorTest.MyConstructible`
`static interface` `OASFactoryErrorTest.MyLicense`
`class` `OASFactoryErrorTest.MyLicenseImpl`

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
`OASFactoryErrorTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `baseInterfaceTest()`
`static org.jboss.shrinkwrap.api.spec.WebArchive` `createDeployment()`
`void` `customAbstractClassTest()`
`void` `customClassTest()`
`void` `extendedBaseInterfaceTest()`
`void` `extendedInterfaceTest()`
`void` `nullValueTest()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OASFactoryErrorTest

    public OASFactoryErrorTest()

### Method Detail

#### createDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

#### nullValueTest

    public void nullValueTest()

#### baseInterfaceTest

    public void baseInterfaceTest()

#### extendedBaseInterfaceTest

    public void extendedBaseInterfaceTest()

#### extendedInterfaceTest

    public void extendedInterfaceTest()

#### customAbstractClassTest

    public void customAbstractClassTest()

#### customClassTest

    public void customClassTest()